! -------------------------------------------------------- !
      subroutine x_sidat_c(msgtype,nproc,tids,nints,ints)
! -------------------------------------------------------- !
! Purpose:  Send initialization data to child.
! -------------------------------------------------------- !

      implicit none
      include 'fpvm3.h'

      integer :: info
      integer :: msgtype
      integer :: nproc
      integer :: nints
      integer, dimension(0:32) :: ints
      integer, dimension(0:32) :: tids
      external fbuff

     
      call pvmfinitsend( PVMDEFAULT, info )
      call pvmfpack( INTEGER4, nproc, 1, 1, info )
      call pvmfpack( INTEGER4, tids, nproc, 1, info )
      call pvmfpack( INTEGER4, nints, 1, 1, info )
      call pvmfpack( INTEGER4, ints, nints, 1, info )
      call pvmfmcast( nproc, tids, msgtype, info )
      end

